VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Classes | Functions
Version 4.10
New classes

## Classes
class | ITextEditListener
| Listener for a text edit. More...

## Functions
virtual bool | onOptionMenuSetPopupResult (COptionMenu *menu, COptionMenu *selectedMenu, int32_t selectedIndex)=0
| called when the platform optionmenu returns the result and before the value of the option menu is set.
void | init (PlatformInstanceHandle instance)
| Init to use VSTGUI.
void | exit ()
| exit using the VSTGUI library.

## Detailed Description

## Function Documentation

void exit | ( |  | ) |

exit using the VSTGUI library.

void init | ( | PlatformInstanceHandle | instance | ) |

Init to use VSTGUI.

Must be done before using the VSTGUI library.

The instance is depended on the platform:

- HINSTANCE on Windows
- CFBundleRef on macOS
- void* on Linux (the handle returned from dlopen)

virtual bool onOptionMenuSetPopupResult | ( | COptionMenu * | menu,
|  | COptionMenu * | selectedMenu,
|  | int32_t | selectedIndex
| ) |  |
| pure virtual

called when the platform optionmenu returns the result and before the value of the option menu is set.

Parameters

  menu | the listened menu
  selectedMenu | the menu containing the selected item
  selectedIndex | the index of the selected item

Returns
  return true to prevent further propagating the call to other listeners and to prevent setting the value of the option menu

Implemented in OptionMenuListenerAdapter.